## PhoshNotificationList

PhoshNotificationList — A list containing one or more PhoshNotificationSource

## Functions

PhoshNotificationList * | phosh_notification_list_new ()
void | phosh_notification_list_add ()
PhoshNotification * | phosh_notification_list_get_by_id ()

## Types and Values

#define | PHOSH_TYPE_NOTIFICATION_LIST
| PhoshNotificationList

## Object Hierarchy

        GObject
        ╰── PhoshNotificationList

## Implemented Interfaces

PhoshNotificationList implements GListModel.

## Description

PhoshNotificationList maps between PhoshNotificationSource objects and their notifications creating and removing sources on the fly.

## Functions

### phosh_notification_list_new ()

    PhoshNotificationList *
    phosh_notification_list_new (void);

Create an empty PhoshNotificationList, generally used via `phosh_notify_manager_get_list()`

#### Returns

the new PhoshNotificationList

### phosh_notification_list_add ()

    void
    phosh_notification_list_add (PhoshNotificationList *self,
                                 const char *source_id,
                                 PhoshNotification *notification);

Registers a new notification with `self` adding to (or creating) the relevent PhoshNotificationSource

#### Parameters

self | the PhoshNotificationList |
source_id | id of the PhoshNotificationSource `notification` belongs to (may not currently exist) |
notification | the new PhoshNotification |

### phosh_notification_list_get_by_id ()

    PhoshNotification *
    phosh_notification_list_get_by_id (PhoshNotificationList *self,
                                       guint id);

Find a PhoshNotification in `self` by it's `id`

#### Parameters

self | the PhoshNotificationList |
id | the “id” to lookup |

#### Returns

the PhoshNotification or `NULL`.

[nullable]

## Types and Values

### PHOSH_TYPE_NOTIFICATION_LIST

    #define PHOSH_TYPE_NOTIFICATION_LIST (phosh_notification_list_get_type ())

### PhoshNotificationList

    typedef struct _PhoshNotificationList PhoshNotificationList;